/**
 * Theme Name:     Astra Child
 * Author:         Automattic
 * Template:       astra
 * Text Domain:	   astra-child
 * Description:    description...
 */

@import './css/woocommerce-shop-page.css';
@import './css/woocommerce-product-page.css';
@import './css/authors.css';
@import './css/woocommerce.css';

body {
    background-color: #fff;
}

.ast-theme-transparent-header #masthead {
    position: fixed;
    top: 0;
}

.ast-theme-transparent-header #masthead.header-scrolled {
    box-shadow: 0 .25rem 1rem rgba(0, 0, 0, .08);
}

#content.site-content {
    padding-top: 8.75rem;
}

@media all and (max-width: 544px) {
    #content.site-content {
        padding-top: 5.75rem;
    }
}

.authors-carousel .elementor-widget-container .ue-content-carousel .owl-carousel .owl-stage-outer .owl-stage .owl-item .ue-item .uc_image_carousel_content {
    margin-top: -85px;
    z-index: 5;
    position: relative;
}

#gyik-accordion .e-n-accordion .e-n-accordion-item .e-n-accordion-item-title {
    z-index: 5;
}

.footer-social-menu .elementor-social-icons-wrapper .elementor-grid-item .elementor-icon {
    background-color: transparent;
}

.footer-navigation .elementor-widget-container nav .menu {
    margin: 0;
    display: flex;
    align-items: center;
    gap: 2rem;
    list-style: none;
}

.footer-navigation .elementor-widget-container nav .menu .menu-item:not(:last-child)::after {
    content: '|';
    left: 1rem;
    position: relative;
}

.footer-navigation .elementor-widget-container nav .menu .menu-item a {
    color: #fff;
}

.footer-navigation .elementor-widget-container nav .menu .menu-item a:hover {
    color: #adff00;
}

@media all and (max-width: 767px) {
    .footer-navigation .elementor-widget-container nav .menu {
        flex-direction: column;
    }

    .footer-navigation .elementor-widget-container nav .menu .menu-item:not(:last-child)::after {
        content: '';
        left: unset;
    }
}

#add_payment_method .cart-collaterals .cart_totals table th,
.woocommerce-cart .cart-collaterals .cart_totals table th,
.woocommerce-checkout .cart-collaterals .cart_totals table th {
    width: 30%;
}

.woocommerce-notice {
    margin-bottom: 3rem;
    padding: 1rem 1.5rem;
    border-radius: .5rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
}

.woocommerce-notice.woocommerce-notice--success {
    color: #381be0;
    background-color: #adff00;
}

.user-menu {}

.user-menu a {
    height: 2.5rem;
    margin-left: 1rem;
    padding: 0 1rem;
    color: #fff;
    background-color: #ff5e00;
    border-radius: 2rem;
    display: inline-flex;
    align-items: center;
    column-gap: .5rem;
}

.user-menu a:hover {
    background-color: #333;
}

.user-menu.logged-out-user a {
    width: 2.5rem;
    max-width: 2.5rem;
    padding: 0;
    justify-content: center;
}


.ast-site-header-cart.ast-menu-cart-fill i.astra-icon {
    display: flex;
    align-items: center;
}

body.ast-theme-transparent-header .ast-site-header-cart .ast-addon-cart-wrap i.astra-icon::after {
    width: 2rem;
    height: 2rem;
    margin-left: 10px;
    position: relative;
    top: unset;
    right: unset;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: #381BE0;
}


@media all and (max-width: 544px) {
    .user-menu a {
        margin: 2rem 1rem 1rem;
    }
}

/* Global Sale Badge Customization */
.onsale {
    width: 2.5rem;
    height: 2.5rem;
    background-color: #ADFF00 !important;
    color: #fff !important;
    border-radius: 50% !important;
    display: flex !important;
    align-items: center;
    justify-content: center;
    font-weight: 700 !important;
    font-size: 1.5rem !important;
    padding: 0 !important;
    min-height: auto !important;
    min-width: auto !important;
    line-height: 1 !important;
}

.woocommerce-js ul.products li.product .price del,
.woocommerce-page ul.products li.product .price del,
.wd-woo-product-hero-price del {
    color: #333;
    opacity: .5;
}

.woocommerce-js ul.products li.product a img,
.woocommerce-page ul.products li.product a img {
    margin-bottom: 0;
}

.bundled_product_summary .bundled_product_images figure {
    border-radius: .875rem;
    overflow: hidden;
}

div.bundled_product_summary, .woocommerce div.product.bundled_product_summary {
    padding-top: 1.618rem;
}

.bundle_button {
    display: flex;
  align-items: center;
  gap: 1rem;
}